Name:           perl-Future-Mojo
Version:        1.002
Release:        3%{?dist}
Summary:        Use Future with Mojo::IOLoop
License:        Artistic-2.0
URL:            https://metacpan.org/dist/Future-Mojo/
Source0:        https://cpan.metacpan.org/authors/id/D/DB/DBOOK/Future-Mojo-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-interpreter perl-generators coreutils
BuildRequires:  perl(Carp)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Future) >= 0.36
BuildRequires:  perl(IO::Async::Loop)
BuildRequires:  perl(IO::Async::Loop::Mojo)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Module::Build::Tiny)
BuildRequires:  perl(Module::Metadata)
BuildRequires:  perl(Mojo::IOLoop)
BuildRequires:  perl(Mojo::Promise)
BuildRequires:  perl(Mojolicious) >= 7.54
BuildRequires:  perl(Role::Tiny) >= 2.000002
BuildRequires:  perl(Role::Tiny::With)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Test::Identity)
BuildRequires:  perl(Test::More) >= 0.94
BuildRequires:  perl(Test::Needs)
BuildRequires:  perl(parent)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)

%description
This subclass of Future stores a reference to the associated Mojo::IOLoop
instance, allowing the await method to block until the Future is ready.

%prep
%setup -q -n Future-Mojo-%{version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} %{buildroot}/*

%check
./Build test

%files
%doc Changes CONTRIBUTING.md README
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Feb 01 2024 Chris Adams <linux@cmadams.net> 1.002-3
- additional spec file cleanups

* Sat Jan 20 2024 Chris Adams <linux@cmadams.net> 1.002-2
- spec file cleanups

* Mon Nov 20 2023 Chris Adams <linux@cmadams.net> 1.002-1
- initial package
